Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		mc
Version:	4.7.5
Release:	1
BuildArch:	i686
License:	GNU/GPL
URL:		http://www.ibiblio.org/mc/
Group:		File Tools
Source0:	%{name}-%{version}.tar.lzma
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	Midnight Commander is a file manager and shell.

Requires:	glib
Requires:	lzma >= 4.32.0

BuildRequires:  slang-devel

#Automatically resolved build dependencies
BuildRequires: e2fsprogs-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gpm-devel
BuildRequires: perl

%description
GNU Midnight Commander is a text-mode full-screen file manager.
It uses a two panel interface and a subshell for command execution.
It includes an internal editor with syntax highlighting and an
internal viewer with support for binary files.
Also included is Virtual Filesystem (VFS), that allows files
on remote systems (e.g. FTP servers) and files inside archives to be
manipulated like real files.
For more details see: http://www.ibiblio.org/mc/

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--sysconfdir=%_sysconfdir \
--libexecdir=%_libdir \
--disable-dependency-tracking \
--with-screen=slang \
--enable-charset \
--enable-extcharset \
--enable-samba \
--without-x \
--enable-vfs-undelfs \
--enable-vfs-mcfs
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%_sysconfdir/profile.d
cp -f $RPM_BUILD_ROOT%{_prefix}/lib/mc/mc.{csh,sh} \
	$RPM_BUILD_ROOT%_sysconfdir/profile.d

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/mc
%{_sysconfdir}/profile.d/mc.*
%{_datadir}/mc
%{_locale}/*/LC_MESSAGES/mc.mo
%{_libdir}/mc
%{_bindir}/mc
%{_bindir}/mcdiff
%{_bindir}/mcedit
#%{_bindir}/mcmfmt
%{_bindir}/mcview
%{_mandir}/man1/mc.1.gz
%{_mandir}/man1/mcedit.1.gz
%{_mandir}/man1/mcview.1.gz   
%{_mandir}/es/man1/mc.1.gz
%{_mandir}/hu/man1/mc.1.gz
%{_mandir}/it/man1/mc.1.gz
%{_mandir}/pl/man1/mc.1.gz
%{_mandir}/ru/man1/mc.1.gz
%{_mandir}/sr/man1/mc.1.gz


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.7.5-1
- Version update
* Thu Sep 09 2010 Christian Metzen <metzench@ccux-linux.de> 4.7.4-1
- Version update
* Sat Jul 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.7.3-1
- Version update
* Sat May 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.7.2-1
- Version update
* Sun Mar 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.7.1-2
- backported de localization file
- fixes bug 0000044
* Sun Mar 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.7.1-1
- Version update
* Fri Feb 05 2010 Christian Metzen <metzench@ccux-linux.de> 4.7.0.2-1
- Version update
* Sat Jan 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.7.0.1-1
- Version update 
* Fri May 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.2-9
- added unknow rpm tag patch
* Sun May 03 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.2-8
- rebuild with lzma / xz support
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 4.6.2-7
- moved libexecdir
* Sat Feb 07 2009 Christian Metzen <metzench@ccux-linux.de> 4.6.2-6
- Version update to 4.6.2 final
* Wed Dec 10 2008 Christian Wasem <wasem@ccux-linux.de> 4.6.2-5
- rebuild against ncurses
* Sun Jul 20 2008 Christian Metzen <metzench@ccux-linux.de> 4.6.2-4
- rebuild against libgpm
* Sun May 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-3
- added lzma compression enabled rpm as requirement
* Sun May 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-2
- added lzma support
* Thu Apr 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-1
- version update
- pre1
* Mon Sep 12 2005 Christian Wasem <wasem@ccux-linux.de> 4.6.1-2
- rebuild without using x libraries, remove mcserver
* Sun Sep 11 2005 Christian Wasem <wasem@ccux-linux.de> 4.6.1-1
- Update to Version 4.6.1, build for SourceRPM  
